import { useEffect, useState } from "react";
import PlantDetails from "../components/PlantDetails";
import { Plant } from "../utils/schemas";
import { BackendConnectorImpl } from "../utils/BackendConnectorImpl";

function Wunschliste() {
  const bc = new BackendConnectorImpl("http://localhost:8080/api/v1");
  const [plants, setPlants] = useState<Plant[] | null>(null);
  const [error, setError] = useState();

  useEffect(() => {
    bc.getWishlistEntries();
  }, [setPlants]);

  return (
    <>
      {error ? (
        <p>Error fetching data</p>
      ) : (
        <ul style={{ display: "flex", gap: "1rem", width: "100%" }}>
          {plants?.map((plant) => (
            <PlantDetails plant={plant} key={plant.id} />
          ))}
        </ul>
      )}
    </>
  );
}

export default Wunschliste;
